DNF5-NEEDS-RESTARTING(8)

NAME
dnf5-needs-restarting - Needs-restarting Command

SYNOPSIS

dnf5 needs-restarting [-p | --processes [-e | --exclude-services]] [-s | --services] [-r | --reboothint]

DESCRIPTION

The needs-restarting command determines whether the system should be rebooted to fully apply changes from package installations and upgrades. Without any options, dnf5 needs-restarting will report whether any important packages were installed or upgraded since boot. This set of important packages includes the kernel, systemd, each package listed here: <https://access.redhat.com/solutions/27943>, and any package marked with a reboot_suggested advisory.

The needs-restarting command will exit with code 1 if a reboot is recommended, or, when invoked with --services, if any systemd service needs restarting. If no action is recommended, needs-restarting will exit with code 0.

OPTIONS

    -p, --processes
        List processes that need restarting. If the package that provides the executable running, or any of its dependencies, have been updated since the process started, then restarting the process will be recommended.

    -e, --exclude-services
        Used with the -p, --processes option and will filter out any processes that are handled by systemd services.

    -s, --services
        List systemd services that need restarting. If the package that provides the service, or any of its dependencies, have been updated since the service started, then restarting the service will be recommended. Note that this approach is quite aggressive to recommend a restart when one may not be strictly necessary.

    -r, --reboothint
        Has no effect, kept for compatibility with DNF 4. "dnf4 needs-restarting -r" provides the same functionality as "dnf5 needs-restarting".

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.